{% extends "ajax/ajax.html.twig" %}
{% block ajax %}
    <div class="row soul">
        <div class="cell padded header rw-12">
            {% embed "ajax/admin/users/tabs.html.twig" %}{% endembed %}

            <div class="row">
                <div class="cell rw-8 ro-2">
                    <div class="row">
                        <div class="cell padded rw-12">
                            {{ 'Derzeitiges Leben'|trans({}, 'admin') }}
                        </div>
                        <div class="cell padded rw-12">
                            <input disabled style="width: 25em;" value="{% if active %}{{ town.name }}{% if not alive %}{{ " -- " }}{{ 'TOD NICHT BESTÄTIGT'|trans({}, 'admin') }}{% endif %}{% else %}{{ "--" }}{% endif %}" />
                        </div>
                        {% if active %}
                            {% if alive %}
                                <div class="cell padded rw-4">
                                    <button id="x-headshot">{{ 'Kopfschuss'|trans({}, 'admin') }}</button>
                                </div>
                                <div class="cell padded rw-4">
                                    <button id="x-pm">{{ 'PM vom Raben'|trans({}, 'admin') }}</button>
                                </div>
                            {% else %}
                                {% if is_granted("ROLE_ADMIN") %}
                                    <div class="cell padded rw-4">
                                        <button id="x-confirm-death">{{ 'Tod bestätigen'|trans({}, 'admin') }}</button>
                                    </div>
                                {% endif %}
                            {% endif %}
                        {% endif %}
                    </div>
                    <div class="row">
                        <div class="cell padded rw-12">
                            <input type="hidden" id="pmidrecipient" value="{{ citizen_id }}">
                            <div id="forum-content">

                            </div>
                        </div>
                    </div>
                </div>
            </div>



        </div>
    </div>
    {% embed "ajax/admin/users/footer.html.twig" %}{% endembed %}
{% endblock %}
{% block js %}
    {{ parent() }}
    <script>
        {% if active %}
            {% if alive %}
                document.getElementById('x-headshot').addEventListener('click', function(e) {
                    e.preventDefault();
                    if (confirm('{{ 'Das Leben dieses Bürgers sofort beenden?'|trans({},'admin') }}'))
                        $.ajax.easySend( '{{ path('admin_users_citizen_headshot', { 'id': user.Id }) }}', [],
                            function () {
                                $.ajax.load(null, '{{ path('admin_users_citizen_view', { 'id': user.Id }) }}', true);
                            } )
                });

                document.getElementById('x-pm').addEventListener('click', function(e) {
                    document.getElementById("forum-content").innerHTML = "";
                    $.ajax.no_history().load( document.getElementById('forum-content'), '{{ path('admin_pm_editor_controller', {'type': 'pm'}) }}', false )
                });
            {% elseif is_granted("ROLE_ADMIN") %}
                document.getElementById('x-confirm-death').addEventListener('click', function(e) {
                    e.preventDefault();
                    if (confirm('{{ 'Tod dieses Bürgers zwangsweise bestätigen?'|trans({},'admin') }}'))
                        $.ajax.easySend( '{{ path('admin_users_citizen_confirm_death', { 'id': user.Id }) }}', [],
                            function () {
                                $.ajax.load(null, '{{ path('admin_users_citizen_view', { 'id': user.Id }) }}', true);
                            } )
                });
            {% endif %}
        {% endif %}


    </script>
{% endblock %}